Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
quoctien.tedi

Tại sao vb2010 không mở được cad2012

Các bài được khuyến nghị

Chào cả nhà!

Chúc cả nhà 1 ngày có nhiều niềm vui và hiệu quả trong công việc.

Mình dung code vb2010 để mở cad2012. Nhưng tại sao lúc được lúc không.

Và còn báo lỗi như ảnh up. Rất mong diễn đàn gỡ giúp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn này bị y hệt mình !

 

Của mình thì lúc đầu mở được nhưng hiện giờ không biết bị lỗi gì mở không được :(

Bạn nào biết thì giúp mình với nhé ! Thanks

 

 

 

 

 

 

 

 

 

 

 

 

Bạn đang muốn chọn trường cao đẳng quốc tế tốt nhất Việt Nam?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn cần post file hoặc ảnh về lỗi lên thì các cao thủ trong diến đàn mới biết được chứ. Trước mình làm đồ án tốt nghiệp thì thầy có nói vb2010 thì tương thích với phiên bản autocad 2013, vb2008 thì đối với phiên bản autocad 2010 nếu là lập trình autocad.net

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào cả nhà!

Chúc cả nhà 1 ngày có nhiều niềm vui và hiệu quả trong công việc.

Mình dung code vb2010 để mở cad2012. Nhưng tại sao lúc được lúc không.

Và còn báo lỗi như ảnh up. Rất mong diễn đàn gỡ giúp.

mem này post 2 bài có nội dung giống nhau nhưng không chịu xem lại bài viết của mình nó hình thù thế nào?

Có thấy ảnh ở đâu mà "chẩn đoán bệnh" ?

Bài viết thế này thì chẳng những potay mà pó-chưn luôn.

(nếu có thể, nên post solution-project thì dễ chẩn đoán hơn)

 

@ Cancel_xd : Cad 2012 sài VS2010 là đúng rồi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào cả nhà!

Trước tiên mình xin chân thành cảm ơn các bạn đã đọc và hồi âm với comment của mình.

Chúc các ban ngày cuối tuần vui vẻ. Mình có chụp ảnh VB.net báo lỗi nhưng không up được.

Mình xin lỗi nhé. Dưới đây là code load form của vb2010 để gọi acad2012. Khi mới "RUN", lần 

đầu thì mở được, nhưng sau đó không được nữa. Nhưng kiểm tra trên WINDOWS TASK Manager

thì vẫn thấy acad.exe. Mình loay hoay mãi mà không tìm ra lỗi.

 

Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common
Public Class Form1
    Dim AcadApp As Autodesk.AutoCAD.Interop.AcadApplication
    Dim AcadDoc As AcadDocument
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            ' Nếu cad đang chạy thì phương thức GetObject sẽ không sinh ra lỗi
            AcadApp = GetObject(, "AutoCAD.Application")
        Catch ex As Exception
            'Ngược lại nếu sinh ra lỗi tức là cad chưa chạy. Khi đó CreteObject sẽ khởi động Acad lên
            AcadApp = CreateObject("AutoCAD.Application")
        End Try
        MsgBox("AutoCAD đang mở" + vbCrLf + "Now running:" + AcadApp.Name + vbCrLf + "Version:" + AcadApp.Version)
        AcadApp.Application.Visible = True ' Yêu cầu Acad hiện lên nều không nếu không nó sẽ chạy ở BackGround
        AcadDoc = AcadApp.Documents.Open("D:\Drawing1.dwg")
    End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào cả nhà!

Trước tiên mình xin chân thành cảm ơn các bạn đã đọc và hồi âm với comment của mình.

Chúc các ban ngày cuối tuần vui vẻ. Mình có chụp ảnh VB.net báo lỗi nhưng không up được.

Mình xin lỗi nhé. Dưới đây là code load form của vb2010 để gọi acad2012. Khi mới "RUN", lần 

đầu thì mở được, nhưng sau đó không được nữa. Nhưng kiểm tra trên WINDOWS TASK Manager

thì vẫn thấy acad.exe. Mình loay hoay mãi mà không tìm ra lỗi.

 

Imports Autodesk.AutoCAD.Interop

Imports Autodesk.AutoCAD.Interop.Common

Public Class Form1

    Dim AcadApp As Autodesk.AutoCAD.Interop.AcadApplication

    Dim AcadDoc As AcadDocument

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Try

            ' Nếu cad đang chạy thì phương thức GetObject sẽ không sinh ra lỗi

            AcadApp = GetObject(, "AutoCAD.Application")

        Catch ex As Exception

            'Ngược lại nếu sinh ra lỗi tức là cad chưa chạy. Khi đó CreteObject sẽ khởi động Acad lên

            AcadApp = CreateObject("AutoCAD.Application")

        End Try

        MsgBox("AutoCAD đang mở" + vbCrLf + "Now running:" + AcadApp.Name + vbCrLf + "Version:" + AcadApp.Version)

        AcadApp.Application.Visible = True ' Yêu cầu Acad hiện lên nều không nếu không nó sẽ chạy ở BackGround

        AcadDoc = AcadApp.Documents.Open("D:\Drawing1.dwg")

    End Sub

Không up file được thì pótay rồi!

(Cadviet hôm nay bị sao đó, tôi cũng không up file đuợc.)

 

Có phải lỗi này không ? : "Cannot create ActiveX component."

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào Bạn GIA_BACH!

Mình cám ơn Bạn đã ryply co mình. Đúng rồi đó. Bạn có cách nào chỉ giáo cho mình với. Bạn cho mình Email của bạn nhé. Mình gửi cho bạn file ảnh "BỆNH" của mình. Nhờ Bạn gỡ giúp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×